lucenenet-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Itamar Syn-Hershko <ita...@code972.com>
Subject Re: [Vote] Apache Lucene.Net 4.8.0-beta00002
Date Sun, 14 May 2017 06:12:03 GMT
Yeah let's just skip this release and work on fixing this and releasing
beta3 asap. I'll be looking into this a bit later today

--

Itamar Syn-Hershko
Freelance Developer & Consultant
Elasticsearch Partner
Microsoft MVP | Lucene.NET PMC
http://code972.com | @synhershko <https://twitter.com/synhershko>
http://BigDataBoutique.co.il/

On Sat, May 13, 2017 at 8:30 PM, Prescott Nasser <geobmx540@hotmail.com>
wrote:

> Corruption sounds like a hard pass on releasing imo
> ________________________________
> From: Shad Storhaug <shad@shadstorhaug.com>
> Sent: Saturday, May 13, 2017 12:12:15 PM
> To: dev@lucenenet.apache.org
> Subject: RE: [Vote] Apache Lucene.Net 4.8.0-beta00002
>
> Time's up. Here are the results:
>
> PMC Votes
>
> +1: (3)
> 0: (0)
> -1: (1)
>
> Non PMC Votes
>
> +1: (3) (2 of them committers)
> 0: (0)
> -1: (0)
>
> The vote passes, but once again we have found a severe bug near the end of
> the vote period.
>
> I am open to suggestions as to whether or not to release 4.8.0-beta00002.
> Certainly, we want the Directory problem fixed ASAP. But, we definitely
> also need to start a new release ASAP to fix this bug that could cause
> index corruption. The bug only happens when using binary doc values and it
> is more common to use text or numeric values, so I am not sure about the %
> of users this will actually impact.
>
> IMO, it probably makes the most sense to push the release and roll a new
> one ASAP just as we did before.
>
> Thanks,
> Shad Storhaug (NightOwl888)
>
>
> -----Original Message-----
> From: Shad Storhaug [mailto:shad@shadstorhaug.com]
> Sent: Wednesday, May 10, 2017 6:57 PM
> To: dev@lucenenet.apache.org
> Subject: [Vote] Apache Lucene.Net 4.8.0-beta00002
>
> Due to a severe concurrency bug in 4.8.0-beta00001 we are rolling another
> release. Note this is not the same release that we just voted on, but a
> patch for it with a new version number. We've decided to postpone the
> official announcement until this patch is live.
>
>
>
> The source and binary packages are available for inspection at:
> https://dist.apache.org/repos/dist/dev/lucenenet/.
>
>
>
> There is a MyGet feed that can be accessed at:
>
> V2: https://www.myget.org/F/lucene-net-nuget/api/v2 (VS2012+)
>
> V3: https://www.myget.org/F/lucene-net-nuget/api/v3/index.json (VS2015+)
>
>
>
> The tag is: https://github.com/apache/lucenenet/releases/tag/Lucene.
> Net_4_8_0_beta00002
>
>
>
>
>
> Please review the beta and vote (build and test instructions to follow).
>
> This vote will close no sooner than 72 hours from now, i.e. sometime after
> 12:00 UTC 13-May 2017
>
>
>
> +1 - release it, already!
>
> 0 - indifferent
>
> -1 - Not ready, because...
>
>
>
> --------------------------------------------------
>
>
>
> Building and Testing (Windows Only)
>
>
>
> --------------------------------------------------
>
>
>
> CLI - Prerequisites
>
>
>
> 1.       Powershell 3.0 or higher
>
> 2.       .NET Framework 4.5.1 Developer Pack (
> https://www.microsoft.com/en-us/download/details.aspx?id=40772)
>
>
>
> Command (from the project root)
>
>
>
> build     (run build and create NuGet packages in the
> release/NugetPackages directory)
>
> build --test     (run build and create NuGet packages in the
> release/NugetPackages directory, run all tests and put results in
> release/TestResults directory)
>
> build -t     (same as above with shorter syntax)
>
>
>
> --------------------------------------------------
>
>
>
> Visual Studio - Prerequisites
>
>
>
> 1.       Visual Studio 2015 Update 3
>
> 2.       .NET Framework 4.5.1 Developer Pack (
> https://www.microsoft.com/en-us/download/details.aspx?id=40772)
>
> 3.       1.1 with SDK Preview 2.1 build 3177 (https://github.com/dotnet/
> core/blob/master/release-notes/download-archive.md)
>
> 4.       NUnit3 Test Adapter (https://marketplace.visualstudio.com/items?
> itemName=NUnitDevelopers.NUnit3TestAdapter)
>
>
>
> Use Lucene.Net.sln for .NET Framework 4.5.1. Use Lucene.Net.Portable.sln
> for .NET Standard/.NET Core.
>
>
>
> NOTE: To compile in .NET Core, you may need to first run "dotnet restore"
> from the CLI before opening the solution in Visual Studio 2015. Visual
> Studio 2017 is not supported.
>
>
>
> --------------------------------------------------
>
>
>
>
>
> Thanks,
>
> Shad Storhaug (NightOwl888)
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message